// Karma configuration

module.exports = function(config) {
  config.set({
    frameworks: ['jasmine', 'browserify'],

    plugins: [
          require('karma-jasmine'),
          require('karma-chrome-launcher'),
          require('karma-browserify')
    ],

    files: [ 'app/**/*.spec.js' ],

    preprocessors: {
         'app/**/*.js': ['browserify']
    },

    reporters: ['progress'],

    browsers: ['Chrome'],

  });
};
